use clap::Parser;
use cli::Args;
use welcome_msg::print_startup_msg;

use crate::config::Configs;

mod cli;
mod config;
mod error_reporting;
mod welcome_msg;

fn main() {
    let args = Args::parse();
    let cfg = Configs::read(args.config_file);

    if !(args.no_startup_message || cfg.no_startup_message) {
        print_startup_msg();
    }
}
